"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

exports.__esModule = true;
exports.build = build;

var _webpack = _interopRequireDefault(require("webpack"));

var _webpack2 = _interopRequireDefault(require("../config/webpack.prod"));

var _paths = _interopRequireDefault(require("../config/paths"));

var _loadConfigFile = _interopRequireDefault(require("../utils/loadConfigFile"));

function build(entry = _paths.default.root + "/index", outDir = _paths.default.dist, options = {}) {
  process.env.NODE_ENV = "production";
  const webpackConfig = (0, _webpack2.default)(Object.assign({}, options, {
    entry,
    output: {
      path: outDir
    }
  }));
  (0, _loadConfigFile.default)(webpackConfig, options);
  const compiler = (0, _webpack.default)(webpackConfig);
  compiler.run();
}