"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

exports.__esModule = true;
exports.bundle = bundle;

var _webpack = _interopRequireDefault(require("../config/webpack.dev"));

var _webpack2 = _interopRequireDefault(require("webpack"));

var _paths = _interopRequireDefault(require("../config/paths"));

function bundle(entry = _paths.default.root + "/index", outDir = _paths.default.dist, options = {}) {
  const webpackConfig = (0, _webpack.default)(Object.assign({}, options, {
    entry,
    output: {
      globalObject: "this",
      libraryTarget: "umd",
      path: outDir
    }
  }));
  webpackConfig.optimization = {
    runtimeChunk: false,
    splitChunks: false
  };
  const compiler = (0, _webpack2.default)(webpackConfig);
  compiler.run();
}